// pages/mine/wxml/goodstobereceived/goodstobereceived.js
var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    array: [],
    btntype:true,
    prodUrl:app.globalData.prodUrl
  },
  modalcnt:function(){
    wx.showModal({
      title: '提示',
      content: '功能敬请期待',
      success: function (res) {
        if (res.confirm) {
          ////console.log('用户点击确定')
        } else if (res.cancel) {
          //console.log('用户点击取消')
        }
      }
    })
  },

  //已收货功能
  btn:function(e){
    var _this = this
    // //console.log(e.target.dataset.kid)
    wx.showModal({
      title: '提示',
      content: '请您确定已收货',
      success: function (res) {
        if (res.confirm) {
          //console.log(111)
          wx.request({
            url: app.globalData.prodUrl + 'web-pm/wx/pm/verify_receive',
            header: {
              'ydw-token': wx.getStorageSync('key').ydw_token
            },
            data: {
              item_kid: e.target.dataset.kid
            },
            success: function (data) {
              //console.log(data)
              _this.onLoad()
            },
          });
        } else if (res.cancel) {
          //console.log('用户点击取消')
        }
      }
    })
   
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var _this =this
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/wait_receive',
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      success: function (data) {
        //console.log(data)
        _this.setData({
          array: data.data.data
        })
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})